import { BCC_CONTEXTS } from "@/composables/contexts";
import type { VueComponent } from "@/types";
import { CloseIcon, InfoIcon } from "@bcc-code/icons-vue";
type Props = {
    context?: keyof typeof BCC_CONTEXTS;
    icon?: boolean | VueComponent;
    title?: string;
    closeButton?: boolean;
    open?: boolean;
    contrast?: "light" | "dark";
    noBorder?: boolean;
};
declare const emit: (event: "close", ...args: any[]) => void;
declare const ContextIcons: Partial<Record<keyof typeof BCC_CONTEXTS, VueComponent>>;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_9: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    default?: (props: typeof __VLS_9) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    BCC_CONTEXTS: typeof BCC_CONTEXTS;
    CloseIcon: typeof CloseIcon;
    InfoIcon: typeof InfoIcon;
    emit: typeof emit;
    ContextIcons: typeof ContextIcons;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onClose?: ((...args: any[]) => any) | undefined;
}>, {
    icon: boolean | VueComponent;
    context: keyof typeof BCC_CONTEXTS;
    contrast: "light" | "dark";
    closeButton: boolean;
    open: boolean;
    noBorder: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onClose?: ((...args: any[]) => any) | undefined;
}>, {
    icon: boolean | VueComponent;
    context: keyof typeof BCC_CONTEXTS;
    contrast: "light" | "dark";
    closeButton: boolean;
    open: boolean;
    noBorder: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
