import type { VueComponent } from "@/types";
import { CloseIcon } from "@bcc-code/icons-vue";
import BccButton from "../BccButton/BccButton.vue";
type Action = {
    label: string;
    icon?: VueComponent;
    onClick?: () => void;
};
type Props = {
    title: string;
    variant?: keyof typeof variants;
    icon?: VueComponent;
    closeButton?: boolean;
    closeOnAction?: boolean;
    actions?: Action[];
    open?: boolean;
};
declare const emit: (evt: "close", action?: Action | undefined) => void;
declare const variants: {
    default: string;
    notification: string;
};
declare function actionClicked(action: Action): void;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_13: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    default?: (props: typeof __VLS_13) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    CloseIcon: typeof CloseIcon;
    BccButton: typeof BccButton;
    emit: typeof emit;
    variants: typeof variants;
    actionClicked: typeof actionClicked;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (action?: Action | undefined) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onClose?: ((action?: Action | undefined) => any) | undefined;
}>, {
    closeButton: boolean;
    open: boolean;
    variant: keyof typeof variants;
    closeOnAction: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (action?: Action | undefined) => any;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onClose?: ((action?: Action | undefined) => any) | undefined;
}>, {
    closeButton: boolean;
    open: boolean;
    variant: keyof typeof variants;
    closeOnAction: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
