import { Dialog, DialogPanel, DialogTitle, TransitionChild, TransitionRoot } from "@headlessui/vue";
import { CloseIcon } from "@bcc-code/icons-vue";
import BccButton from "../BccButton/BccButton.vue";
type Props = {
    open: boolean;
    title?: string;
    closeButton?: boolean;
    closeOnOutsideClick?: boolean;
};
declare const emit: (event: "close", ...args: any[]) => void;
declare const slots: {
    default: any;
    header: any;
    footer: any;
    secondaryAction: any;
    primaryAction: any;
};
declare const showCloseButton: import("vue").ComputedRef<boolean>;
declare const handleClose: () => void;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_26: {}, __VLS_36: {}, __VLS_38: {}, __VLS_40: {}, __VLS_42: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    header?: (props: typeof __VLS_26) => any;
} & {
    default?: (props: typeof __VLS_36) => any;
} & {
    footer?: (props: typeof __VLS_38) => any;
} & {
    secondaryAction?: (props: typeof __VLS_40) => any;
} & {
    primaryAction?: (props: typeof __VLS_42) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    Dialog: typeof Dialog;
    DialogPanel: typeof DialogPanel;
    DialogTitle: typeof DialogTitle;
    TransitionChild: typeof TransitionChild;
    TransitionRoot: typeof TransitionRoot;
    CloseIcon: typeof CloseIcon;
    BccButton: typeof BccButton;
    emit: typeof emit;
    slots: typeof slots;
    showCloseButton: typeof showCloseButton;
    handleClose: typeof handleClose;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onClose?: ((...args: any[]) => any) | undefined;
}>, {
    closeButton: boolean;
    open: boolean;
    closeOnOutsideClick: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    close: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{
    onClose?: ((...args: any[]) => any) | undefined;
}>, {
    closeButton: boolean;
    open: boolean;
    closeOnOutsideClick: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
