import { BccBadge, BccPin } from "@/index";
import { Tab, TabGroup, TabList, TabPanel, TabPanels } from "@headlessui/vue";
import type { BccTabsGroup } from "./types";
type Props = {
    tabs: BccTabsGroup;
    size?: keyof typeof sizes;
    fill?: boolean;
};
declare const sizes: {
    sm: string;
    base: string;
    lg: string;
};
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_35: `tab-${number}`, __VLS_36: {
    tab: {
        title: string;
        icon?: import("@/index").VueComponent;
        pin?: InstanceType<typeof BccPin>["$props"];
        badge?: InstanceType<typeof BccBadge>["$props"] & {
            text: string;
        };
        as?: import("@/index").VueComponent;
        disabled?: boolean;
        loading?: boolean;
    };
};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    [K in NonNullable<typeof __VLS_35>]?: (props: typeof __VLS_36) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    BccBadge: typeof BccBadge;
    BccPin: typeof BccPin;
    Tab: typeof Tab;
    TabGroup: typeof TabGroup;
    TabList: typeof TabList;
    TabPanel: typeof TabPanel;
    TabPanels: typeof TabPanels;
    sizes: typeof sizes;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{}>, {
    size: keyof typeof sizes;
    fill: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{}>, {
    size: keyof typeof sizes;
    fill: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
