import type { VueComponent } from "@/types";
type Props = {
    is?: "button" | "a" | VueComponent;
    variant?: keyof typeof variants;
    context?: keyof typeof contexts;
    size?: keyof typeof sizes;
    icon?: VueComponent;
    iconRight?: boolean;
    justifyContent?: boolean;
    rounded?: boolean;
    disabled?: boolean;
    padding?: boolean;
};
declare const iconOnly: boolean;
declare const sizes: {
    xs: string;
    sm: string;
    base: string;
    lg: string;
    xl: string;
};
declare const variants: {
    primary: string;
    secondary: string;
    tertiary: string;
};
declare const contexts: {
    default: string;
    danger: string;
};
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_6: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    default?: (props: typeof __VLS_6) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    iconOnly: typeof iconOnly;
    sizes: typeof sizes;
    variants: typeof variants;
    contexts: typeof contexts;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{}>, {
    context: keyof typeof contexts;
    size: keyof typeof sizes;
    iconRight: boolean;
    padding: boolean;
    is: "button" | "a" | VueComponent;
    variant: keyof typeof variants;
    justifyContent: boolean;
    rounded: boolean;
    disabled: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{}>, {
    context: keyof typeof contexts;
    size: keyof typeof sizes;
    iconRight: boolean;
    padding: boolean;
    is: "button" | "a" | VueComponent;
    variant: keyof typeof variants;
    justifyContent: boolean;
    rounded: boolean;
    disabled: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
