type Props = {
    primaryPosition?: "top" | "bottom";
    secondaryPosition?: "left" | "center" | "right";
    variant?: "dark" | "white" | "grey";
    visible?: boolean;
};
declare const variantClasses: {
    dark: string;
    white: string;
    grey: string;
};
declare const classMappings: {
    "top-left": string;
    "top-center": string;
    "top-right": string;
    "bottom-left": string;
    "bottom-center": string;
    "bottom-right": string;
};
declare const position: import("vue").ComputedRef<"top-right" | "bottom-right" | "bottom-left" | "top-left" | "top-center" | "bottom-center">;
declare const __VLS_ctx: InstanceType<__VLS_PickNotAny<typeof __VLS_self, new () => {}>>;
declare var __VLS_1: {}, __VLS_3: {};
type __VLS_Slots = __VLS_PrettifyGlobal<__VLS_OmitStringIndex<typeof __VLS_ctx.$slots> & {
    child?: (props: typeof __VLS_1) => any;
} & {
    default?: (props: typeof __VLS_3) => any;
}>;
declare const __VLS_self: import("vue").DefineComponent<Props, {
    variantClasses: typeof variantClasses;
    classMappings: typeof classMappings;
    position: typeof position;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{}>, {
    variant: "dark" | "white" | "grey";
    primaryPosition: "top" | "bottom";
    secondaryPosition: "left" | "center" | "right";
    visible: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_component: import("vue").DefineComponent<Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<Props> & Readonly<{}>, {
    variant: "dark" | "white" | "grey";
    primaryPosition: "top" | "bottom";
    secondaryPosition: "left" | "center" | "right";
    visible: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithSlots<typeof __VLS_component, __VLS_Slots>;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
